package com.dsic.gj_erp.bean.txzz;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dsic.gj_erp.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 船只信息
 * </p>
 *
 * @author xhj
 * @since 2021-03-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmProject对象", description="船只信息")
public class DmProject implements Serializable {

    private static final long serialVersionUID=1L;
 // qw.select("project","factory_area","classs","owner","project_type");

   @TableId(value = "id", type = IdType.AUTO)
   private Integer  id;

    @ApiModelProperty(value = "工程编号 Q11")

    private String project;

    @ApiModelProperty(value = "工程名称 Q12")
    private String projectName;

    @ApiModelProperty(value = "代替工程编号 订单打印导出时转换使用")
    private String projectReplace;

    @Dict(dictCode = "GCLX")
    @ApiModelProperty(value = "船只类型 dict='GCLX'")
    private String projectType;

    @ApiModelProperty(value = "完工标识 N(默认)/Y")
    private String finishFlag;

    @ApiModelProperty(value = "系列")
    private String series;

    @ApiModelProperty(value = "简称")
    private String sproject;

    @Dict(dictCode = "GCQY")
    @ApiModelProperty(value = "工厂区域 dict=''GCQY''")
    private String factoryArea;

    @ApiModelProperty(value = "船级社")
    private String classs;

    @ApiModelProperty(value = "船东")
    private String owner;

    @ApiModelProperty(value = "船检")
    private String classSurveyor;

    @ApiModelProperty(value = "管系基础船只")
    private String gjProject;

 @ApiModelProperty(value = "是否为首制船,0:否;1:是;")
     private Integer firstMake;

    @ApiModelProperty(value = "管系计调员")
    private String gjOperator;

    @ApiModelProperty(value = "铁舾基础船只")
    private String txProject;

    @ApiModelProperty(value = "铁舾计调员")
    private String txOperator;

    @ApiModelProperty(value = "是否按区域")
    private String areaFlag;

    @ApiModelProperty(value = "批号")
    private String bathNo;

    @ApiModelProperty(value = "批号1")
    private String bathNo1;

    @ApiModelProperty(value = "批号2")
    private String bathNo2;

    @ApiModelProperty(value = "批号3")
    private String bathNo3;

    @ApiModelProperty(value = "批号4")
    private String bathNo4;

    @ApiModelProperty(value = "批号5")
    private String bathNo5;

    @ApiModelProperty(value = "批号6")
    private String bathNo6;

    @ApiModelProperty(value = "批号7")
    private String bathNo7;

    @ApiModelProperty(value = "批号8")
    private String bathNo8;

    @ApiModelProperty(value = "安装区域")
    private String area;

    @ApiModelProperty(value = "工艺员")
    private String craftBy;

    @ApiModelProperty(value = "安装区域1")
    private String area1;

    @ApiModelProperty(value = "工艺员1")
    private String craftBy1;

    @ApiModelProperty(value = "安装区域2")
    private String area2;

    @ApiModelProperty(value = "工艺员2")
    private String craftBy2;

    @ApiModelProperty(value = "单元计调员")
    private String dyOperator;

    @ApiModelProperty(value = "开工日期")
    private String startDate;

    @ApiModelProperty(value = "开工日期依据")
    private String startBasis;

    @ApiModelProperty(value = "铺底日期")
    private String bottomDate;

    @ApiModelProperty(value = "铺底日期依据")
    private String bottomBasis;

    @ApiModelProperty(value = "下水日期")
    private String waterDate;

    @ApiModelProperty(value = "试航日期")
    private String sailDate;

    @ApiModelProperty(value = "签字交工日期")
    private String signDate;

    @ApiModelProperty(value = "管系工时标准")
    private String gjgsStandard;

    @ApiModelProperty(value = "管材系数")
    private BigDecimal pipeFactor;

    @ApiModelProperty(value = "管支架型材系数")
    private BigDecimal pipeSupport;

    @ApiModelProperty(value = "管系附件平库方式")
    private BigDecimal pipeFlat;

    @ApiModelProperty(value = "封账日期")
    private String accountsDate;

    @ApiModelProperty(value = "封装说明")
    private String accountsExplain;

    private String bzry;

    private String bzrq;

    private String remark;

 @ApiModelProperty(value = "管系分图人员")
    private String gjFty;
    private String gjHly;
    private String gjDey;
    private String gjShy;
    private String gjCky;




}
